Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.trans.steps.exceloutput
Class ExcelOutputMeta

    java.lang.Object
      org.pentaho.di.trans.step.BaseStepMeta
          org.pentaho.di.trans.steps.exceloutput.ExcelOutputMeta

All Implemented Interfaces:
  Cloneable, StepMetaInterface

    public class ExcelOutputMeta

extends BaseStepMeta
implements StepMetaInterface

Metadata of the Excel Output step.

Since:
  on 6-sep-2006
Author:
  Matt

Constructor Summary
`ExcelOutputMeta()`

Method Summary
`void` | `allocate(int nrfields)`
`String` | `buildFilename(org.pentaho.di.core.variables.VariableSpace space, int stepnr, int splitnr)`
`void` | `check(List<org.pentaho.di.core.CheckResultInterface> remarks, TransMeta transMeta, StepMeta stepMeta, org.pentaho.di.core.row.RowMetaInterface prev, String[] input, String[] output, org.pentaho.di.core.row.RowMetaInterface info)` Checks the settings of this step and puts the findings in a remarks List.
`Object` | `clone()` Make an exact copy of this step, make sure to explicitly copy Collections etc.
`String` | `exportResources(org.pentaho.di.core.variables.VariableSpace space, Map<String,ResourceDefinition> definitions, ResourceNamingInterface resourceNamingInterface, Repository repository)` Since the exported transformation that runs this will reside in a ZIP file, we can't reference files relatively.
`String` | `getDateTimeFormat()`
`String` | `getEncoding()`
`String` | `getExtension()`
`void` | `getFields(org.pentaho.di.core.row.RowMetaInterface r, String name, org.pentaho.di.core.row.RowMetaInterface[] info, StepMeta nextStep, org.pentaho.di.core.variables.VariableSpace space)` Get the fields that are emitted by this step
`String` | `getFileName()`
`String[]` | `getFiles(org.pentaho.di.core.variables.VariableSpace space)`
`String` | `getNewline()`
`String` | `getNewLine(String fformat)`
`ExcelField[]` | `getOutputFields()`
`String` | `getPassword()`
`String` | `getSheetname()`
`int` | `getSplitEvery()`
`StepInterface` | `getStep(StepMeta stepMeta, StepDataInterface stepDataInterface, int cnr, TransMeta transMeta, Trans trans)` Get the executing step, needed by Trans to launch a step.
`StepDataInterface` | `getStepData()` Get a new instance of the appropriate data class.
`String` | `getTemplateFileName()`
`String[]` | `getUsedLibraries()`
`String` | `getXML()` Produces the XML string that describes this step's information.
`boolean` | `isAddToResultFiles()`
`boolean` | `isAppend()`
`boolean` | `isAutoSizeColums()`
`boolean` | `isDateInFilename()`
`boolean` | `isDoNotOpenNewFileInit()`
`boolean` | `isFooterEnabled()`
`boolean` | `isHeaderEnabled()`
`boolean` | `isSheetProtected()`
`boolean` | `isSpecifyFormat()`
`boolean` | `isStepNrInFilename()`
`boolean` | `isTemplateAppend()`
`boolean` | `isTemplateEnabled()`
`boolean` | `isTimeInFilename()`
`void` | `loadXML(Node stepnode, List<org.pentaho.di.core.database.DatabaseMeta> databases, Map<String,org.pentaho.di.core.Counter> counters)` Load the values for this step from an XML Node
`void` | `readRep(Repository rep, long id_step, List<org.pentaho.di.core.database.DatabaseMeta> databases, Map<String,org.pentaho.di.core.Counter> counters)` Read the steps information from a Kettle repository
`void` | `saveRep(Repository rep, long id_transformation, long id_step)` Save the steps data into a Kettle repository
`void` | `setAddToResultFiles(boolean addtoresultfilenamesin)`
`void` | `setAppend(boolean append)`
`void` | `setAutoSizeColums(boolean autosizecolums)`
`void` | `setDateInFilename(boolean dateInFilename)`
`void` | `setDateTimeFormat(String date_time_format)`
`void` | `setDefault()` Set default values
`void` | `setDoNotOpenNewFileInit(boolean doNotOpenNewFileInit)`
`void` | `setEncoding(String encoding)`
`void` | `setExtension(String extension)`
`void` | `setFileName(String fileName)`
`void` | `setFooterEnabled(boolean footer)`
`void` | `setHeaderEnabled(boolean header)`
`void` | `setNewline(String newline)`
`void` | `setOutputFields(ExcelField[] outputFields)`
`void` | `setPassword(String password)`
`void` | `setProtectSheet(boolean protectsheet)`
`void` | `setSheetname(String sheetname)`
`void` | `setSpecifyFormat(boolean SpecifyFormat)`
`void` | `setSplitEvery(int splitEvery)`
`void` | `setStepNrInFilename(boolean stepNrInFilename)`
`void` | `setTemplateAppend(boolean templateAppend)`
`void` | `setTemplateEnabled(boolean template)`
`void` | `setTemplateFileName(String templateFileName)`
`void` | `setTimeInFilename(boolean timeInFilename)`

Methods inherited from class org.pentaho.di.trans.step.BaseStepMeta
`analyseImpact, cancelQueries, chosesTargetSteps, excludeFromRowLayoutVerification, getDialogClassName, getID, getInfoSteps, getRequiredFields, getRequiredFields, getResourceDependencies, getSQLStatements, getTableFields, getTargetSteps, getUsedArguments, getUsedDatabaseConnections, hasChanged, searchInfoAndTargetSteps, setChanged, setChanged, setID, setInfoSteps, setTargetSteps, supportsErrorHandling`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.pentaho.di.trans.step.StepMetaInterface
`analyseImpact, cancelQueries, excludeFromRowLayoutVerification, getDialogClassName, getInfoSteps, getRequiredFields, getRequiredFields, getResourceDependencies, getSQLStatements, getTableFields, getTargetSteps, getUsedArguments, getUsedDatabaseConnections, searchInfoAndTargetSteps, setInfoSteps, setTargetSteps, supportsErrorHandling`

Constructor Detail

### ExcelOutputMeta

    public ExcelOutputMeta()

Method Detail

### isDateInFilename

    public boolean isDateInFilename()

  Returns:
    Returns the dateInFilename.

### setDateInFilename

    public void setDateInFilename(boolean dateInFilename)

  Parameters:
    `dateInFilename` - The dateInFilename to set.

### getExtension

    public String getExtension()

  Returns:
    Returns the extension.

### setExtension

    public void setExtension(String extension)

  Parameters:
    `extension` - The extension to set.

### getFileName

    public String getFileName()

  Returns:
    Returns the fileName.

### getPassword

    public String getPassword()

  Returns:
    Returns the password.

### getSheetname

    public String getSheetname()

  Returns:
    Returns the sheet name.

### setSheetname

    public void setSheetname(String sheetname)

  Parameters:
    `sheetname` - The sheet name.

### setFileName

    public void setFileName(String fileName)

  Parameters:
    `fileName` - The fileName to set.

### setPassword

    public void setPassword(String password)

  Parameters:
    `password` - teh passwoed to set.

### isFooterEnabled

    public boolean isFooterEnabled()

  Returns:
    Returns the footer.

### setFooterEnabled

    public void setFooterEnabled(boolean footer)

  Parameters:
    `footer` - The footer to set.

### isAutoSizeColums

    public boolean isAutoSizeColums()

  Returns:
    Returns the autosizecolums.

### setAutoSizeColums

    public void setAutoSizeColums(boolean autosizecolums)

  Parameters:
    `autosizecolums` - The autosizecolums to set.

### isHeaderEnabled

    public boolean isHeaderEnabled()

  Returns:
    Returns the header.

### setHeaderEnabled

    public void setHeaderEnabled(boolean header)

  Parameters:
    `header` - The header to set.

### isSpecifyFormat

    public boolean isSpecifyFormat()

### setSpecifyFormat

    public void setSpecifyFormat(boolean SpecifyFormat)

### getDateTimeFormat

    public String getDateTimeFormat()

### setDateTimeFormat

    public void setDateTimeFormat(String date_time_format)

### getNewline

    public String getNewline()

  Returns:
    Returns the newline.

### setNewline

    public void setNewline(String newline)

  Parameters:
    `newline` - The newline to set.

### getSplitEvery

    public int getSplitEvery()

  Returns:
    Returns the splitEvery.

### isAddToResultFiles

    public boolean isAddToResultFiles()

  Returns:
    Returns the add to result filesname.

### setAddToResultFiles

    public void setAddToResultFiles(boolean addtoresultfilenamesin)

  Parameters:
    `addtoresultfilenamesin` - The addtoresultfilenames to set.

### setSplitEvery

    public void setSplitEvery(int splitEvery)

  Parameters:
    `splitEvery` - The splitEvery to set.

### isStepNrInFilename

    public boolean isStepNrInFilename()

  Returns:
    Returns the stepNrInFilename.

### setStepNrInFilename

    public void setStepNrInFilename(boolean stepNrInFilename)

  Parameters:
    `stepNrInFilename` - The stepNrInFilename to set.

### isTimeInFilename

    public boolean isTimeInFilename()

  Returns:
    Returns the timeInFilename.

### isSheetProtected

    public boolean isSheetProtected()

  Returns:
    Returns the protectsheet.

### setTimeInFilename

    public void setTimeInFilename(boolean timeInFilename)

  Parameters:
    `timeInFilename` - The timeInFilename to set.

### setProtectSheet

    public void setProtectSheet(boolean protectsheet)

  Parameters:
    `protectsheet` - the value to set.

### getOutputFields

    public ExcelField[] getOutputFields()

  Returns:
    Returns the outputFields.

### setOutputFields

    public void setOutputFields(ExcelField[] outputFields)

  Parameters:
    `outputFields` - The outputFields to set.

### getEncoding

    public String getEncoding()

  Returns:
    The desired encoding of output file, null or empty if the default system encoding needs to be used.

### setEncoding

    public void setEncoding(String encoding)

  Parameters:
    `encoding` - The desired encoding of output file, null or empty if the default system encoding needs to be used.

### isTemplateEnabled

    public boolean isTemplateEnabled()

  Returns:
    Returns the template.

### setTemplateEnabled

    public void setTemplateEnabled(boolean template)

  Parameters:
    `template` - The template to set.

### isTemplateAppend

    public boolean isTemplateAppend()

  Returns:
    Returns the templateAppend.

### setTemplateAppend

    public void setTemplateAppend(boolean templateAppend)

  Parameters:
    `templateAppend` - The templateAppend to set.

### getTemplateFileName

    public String getTemplateFileName()

  Returns:
    Returns the templateFileName.

### setTemplateFileName

    public void setTemplateFileName(String templateFileName)

  Parameters:
    `templateFileName` - The templateFileName to set.

### isDoNotOpenNewFileInit

    public boolean isDoNotOpenNewFileInit()

  Returns:
    Returns the "do not open new file at init" flag.

### setDoNotOpenNewFileInit

    public void setDoNotOpenNewFileInit(boolean doNotOpenNewFileInit)

  Parameters:
    `doNotOpenNewFileInit` - The "do not open new file at init" flag to set.

### isAppend

    public boolean isAppend()

  Returns:
    Returns the append.

### setAppend

    public void setAppend(boolean append)

  Parameters:
    `append` - The append to set.

### loadXML

    public void loadXML(Node stepnode,
                        List<org.pentaho.di.core.database.DatabaseMeta> databases,
                        Map<String,org.pentaho.di.core.Counter> counters)
                 throws org.pentaho.di.core.exception.KettleXMLException

  Description copied from interface: `StepMetaInterface`
  Load the values for this step from an XML Node

  Specified by:
    `loadXML` in interface `StepMetaInterface`
  Parameters:
    `stepnode` - the Node to get the info from
    `databases` - The available list of databases to reference to
    `counters` - Counters to reference.
  Throws:
    `org.pentaho.di.core.exception.KettleXMLException` - When an unexpected XML error occurred. (malformed etc.)

### allocate

    public void allocate(int nrfields)

### clone

    public Object clone()

  Description copied from interface: `StepMetaInterface`
  Make an exact copy of this step, make sure to explicitly copy Collections etc.

  Specified by:
    `clone` in interface `StepMetaInterface`
  Overrides:
    `clone` in class `BaseStepMeta`
  Returns:
    an exact copy of this step

### getNewLine

    public String getNewLine(String fformat)

### setDefault

    public void setDefault()

  Description copied from interface: `StepMetaInterface`
  Set default values

  Specified by:
    `setDefault` in interface `StepMetaInterface`

### getFiles

    public String[] getFiles(org.pentaho.di.core.variables.VariableSpace space)

### buildFilename

    public String buildFilename(org.pentaho.di.core.variables.VariableSpace space,
                                int stepnr,
                                int splitnr)

### getFields

    public void getFields(org.pentaho.di.core.row.RowMetaInterface r,
                          String name,
                          org.pentaho.di.core.row.RowMetaInterface[] info,
                          StepMeta nextStep,
                          org.pentaho.di.core.variables.VariableSpace space)

  Description copied from interface: `StepMetaInterface`
  Get the fields that are emitted by this step

  Specified by:
    `getFields` in interface `StepMetaInterface`
  Overrides:
    `getFields` in class `BaseStepMeta`
  Parameters:
    `r` - The fields that are entering the step. These are changed to reflect the output metadata.
    `name` - The name of the step to be used as origin
    `info` - The input rows metadata that enters the step through the specified channels in the same order as in method getInfoSteps(). The step metadata can then choose what to do with it: ignore it or not. Interesting is also that in case of database lookups, the layout of the target database table is put in info[0]
    `nextStep` - if this is a non-null value, it's the next step in the transformation. The one who's asking, the step where the data is targetted towards.
    `space` - TODO

### getXML

    public String getXML()

  Description copied from class: `BaseStepMeta`
  Produces the XML string that describes this step's information.

  Specified by:
    `getXML` in interface `StepMetaInterface`
  Overrides:
    `getXML` in class `BaseStepMeta`
  Returns:
    String containing the XML describing this step.

### readRep

    public void readRep(Repository rep,
                        long id_step,
                        List<org.pentaho.di.core.database.DatabaseMeta> databases,
                        Map<String,org.pentaho.di.core.Counter> counters)
                 throws org.pentaho.di.core.exception.KettleException

  Description copied from interface: `StepMetaInterface`
  Read the steps information from a Kettle repository

  Specified by:
    `readRep` in interface `StepMetaInterface`
  Parameters:
    `rep` - The repository to read from
    `id_step` - The step ID
    `databases` - The databases to reference
    `counters` - The counters to reference
  Throws:
    `org.pentaho.di.core.exception.KettleException` - When an unexpected error occurred (database, network, etc)

### saveRep

    public void saveRep(Repository rep,
                        long id_transformation,
                        long id_step)
                 throws org.pentaho.di.core.exception.KettleException

  Description copied from interface: `StepMetaInterface`
  Save the steps data into a Kettle repository

  Specified by:
    `saveRep` in interface `StepMetaInterface`
  Parameters:
    `rep` - The Kettle repository to save to
    `id_transformation` - The transformation ID
    `id_step` - The step ID
  Throws:
    `org.pentaho.di.core.exception.KettleException` - When an unexpected error occurred (database, network, etc)

### check

    public void check(List<org.pentaho.di.core.CheckResultInterface> remarks,
                      TransMeta transMeta,
                      StepMeta stepMeta,
                      org.pentaho.di.core.row.RowMetaInterface prev,
                      String[] input,
                      String[] output,
                      org.pentaho.di.core.row.RowMetaInterface info)

  Description copied from interface: `StepMetaInterface`
  Checks the settings of this step and puts the findings in a remarks List.

  Specified by:
    `check` in interface `StepMetaInterface`
  Parameters:
    `remarks` - The list to put the remarks in @see org.pentaho.di.core.CheckResult
    `stepMeta` - The stepMeta to help checking
    `prev` - The fields coming from the previous step
    `input` - The input step names
    `output` - The output step names
    `info` - The fields that are used as information by the step

### exportResources

    public String exportResources(org.pentaho.di.core.variables.VariableSpace space,
                                  Map<String,ResourceDefinition> definitions,
                                  ResourceNamingInterface resourceNamingInterface,
                                  Repository repository)
                           throws org.pentaho.di.core.exception.KettleException

  Since the exported transformation that runs this will reside in a ZIP file, we can't reference files relatively. So what this does is turn the name of the base path into an absolute path.

  Specified by:
    `exportResources` in interface `StepMetaInterface`
  Overrides:
    `exportResources` in class `BaseStepMeta`
  Parameters:
    `space` - the variable space to use
    `repository` - The repository to optionally load other resources from (to be converted to XML)
  Returns:
    the filename of the exported resource
  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getStep

    public StepInterface getStep(StepMeta stepMeta,
                                 StepDataInterface stepDataInterface,
                                 int cnr,
                                 TransMeta transMeta,
                                 Trans trans)

  Description copied from interface: `StepMetaInterface`
  Get the executing step, needed by Trans to launch a step.

  Specified by:
    `getStep` in interface `StepMetaInterface`
  Parameters:
    `stepMeta` - The step info
    `stepDataInterface` - the step data interface linked to this step. Here the step can store temporary data, database connections, etc.
    `cnr` - The copy nr to get
    `transMeta` - The transformation info
    `trans` - The launching transformation

### getStepData

    public StepDataInterface getStepData()

  Description copied from interface: `StepMetaInterface`
  Get a new instance of the appropriate data class. This data class implements the StepDataInterface. It basically contains the persisting data that needs to live on, even if a worker thread is terminated.

  Specified by:
    `getStepData` in interface `StepMetaInterface`
  Returns:
    The appropriate StepDataInterface class.

### getUsedLibraries

    public String[] getUsedLibraries()

  Specified by:
    `getUsedLibraries` in interface `StepMetaInterface`
  Overrides:
    `getUsedLibraries` in class `BaseStepMeta`
  Returns:
    the libraries that this step or plug-in uses.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD